%define name kparam
%define rel 1AX
%define ver 5.0

Summary: Initializes the Kernel parameter by proc fs
Name:    %{name}
Version: %{ver}
Release: %{rel}
Group: System Environment/Kernel
License: GPL
Buildroot: /var/tmp/%{name}-%{ver}-root
PreReq: fileutils textutils gawk grep sed procps initscripts sh-utils
Source0: kparam-ax30-setting
Source1: kparam-ax30-ia64-setting

%description
Initializes the Kernel parameter by proc fs.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{ver}
%ifarch ia64
    install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{ver}/kparam-ax30-setting
%else
    install -m644 %{SOURCE0} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{ver}/kparam-ax30-setting
%endif

%pre
if [ -f /etc/sysconfig/kparam ]; then
    /etc/rc.d/init.d/kparam stop > /dev/null
    /sbin/chkconfig --del kparam
fi

NUM=`grep -n "added by kparam" /etc/sysctl.conf |awk -F: '{print $1}'|head -n1`

if [ -n "$NUM" ]; then
	eval 'head -n$(($NUM-1)) /etc/sysctl.conf > /tmp/sysctl.conf.tmp'
	cp -f /tmp/sysctl.conf.tmp /etc/sysctl.conf
	rm -f /tmp/sysctl.conf.tmp
fi

%post

echo "# added by kparam install on `LANG=C date`" >> /etc/sysctl.conf
cat %{_docdir}/%{name}-%{ver}/kparam-ax30-setting >> /etc/sysctl.conf
sysctl -e -p > /dev/null

%postun
if [ $1 = 0 ]; then
	NUM=`grep -n "added by kparam" /etc/sysctl.conf |awk -F: '{print $1}'|head -n1`
	if [ -n "$NUM" ]; then
		eval 'head -n$(($NUM-1)) /etc/sysctl.conf > /tmp/sysctl.conf.tmp'
		cp -f /tmp/sysctl.conf.tmp /etc/sysctl.conf
		rm -f /tmp/sysctl.conf.tmp
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{ver}

%changelog
* Wed Apr 18 2007 Hua Jie <jiehua@redflag-linux.com> 5.0-1AX
- recreate this package for Asianux 3.0
- remove shmmax setting because Asianux 3.0's kernel already included it

* Wed Mar 14 2007 Xiao Liu <xiaoliu@redflag-linux.com>
- change Copyright to License

* Thu Aug 24 2006 Hua Jie <jiehua@redflag-linux.com> 4.0-14AX
- remove fs.aio-max-size, it has been removed from 2.6 kernel.
- add some scripts that can remove the old setting when updating
- and remove kparam's setting when uninstall the package.

* Wed Jul 13 2005 Yasuma Takeda <yasuma@miraclelinux.com> 4.0-13AX
- enabled 4 parameters for 10gR2
  - net.core.rmem_max=262144
  - net.core.wmem_max=262144
  - net.core.rmem_default=262144
  - net.core.wmem_default=262144

* Fri May 20 2005 Shiro Yamada <shiro@miraclelinux.com> 4.0-12AX
- rebuild for Asianux 2.0

* Wed Apr 21 2004 Jun YOSHIDA <jun@miraclelinux.com> 3.0-11AX
- for Oracle 9iR2 and 10g.

* Tue Mar 26 2004 Jun YOSHIDA <jun@miraclelinux.com> 3.0-10AX
- kparam should have require initscripts as in PreReq.

* Tue Mar 23 2004 Jun YOSHIDA <jun@miraclelinux.com> 3.0-9AX
- chaged shmmax to 2GB fixed size.

* Mon Nov 25 2002 Tatsuo Ito <tito@miraclelinux.com> 3.0-8ml
- change max size of shmmax: 1GB -> 2GB 

* Fri Nov 22 2002 Tatsuo Ito <tito@miraclelinux.com> 3.0-6ml
- add fs.aio-max-size entry

* Tue Nov 19 2002 Tatsuo Ito <tito@miraclelinux.com> 3.0-4ml
- modify kparam to use sysctl
- modify the value of kernel parameter: file-max and ip_local_port_range

* Mon Mar 04 2002 Tatsuo Ito <tito@miraclelinux.com>
- 2.0.14ml
- modify SetSHMMAX() in post section.

* Thu Feb 07 2002 Tatsuo Ito <tito@miraclelinux.com>
- 2.0-12ml
- add msgmni entry to kparam sysconfig

* Tue Sep 11 2001 Tatsuo Ito <tito@miraclelinux.com>
- 2.0-10ml
- add file-max entry to kparam sysconfig
- modify post section

* Mon Aug 27 2001 Tatsuo Ito <tito@miraclelinux.com>
- 2.0-8ml
- add textutils into PreReq section

* Mon Aug 20 2001 Tatsuo Ito <tito@miraclelinux.com>
- 2.0-6ml
- modify PreReq tag
- modify default run level : 35 -> 2345

* Sat Aug 11 2001 Tatsuo Ito <tito@miraclelinux.com>
- 2.0-4ml
- remove serial tag
- modify Makefile to remove CVS directory
- remove securelevel in this script
- execute "/etc/rc.d/init.d/kparam stop" through preun section
- set shmmax in /etc/sysconfig/kparam through post section 

* Tue Jul 10 2001 Go Taniguchi <go@turbolinux.co.jp>
- added securlevel in init script

* Fri Jun 8 2001 Go Taniguchi <go@turbolinux.co.jp>
- added %cleam section ;-<

* Tue May 22 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- added defattr in files section

* Tue Sep 12 2000 Go Taniguchi <go@turbolinux.co.jp>
- change service stating prioryty 98 -> 02
- fixed typo kparam.sh 

* Thu Aug 31 2000 Go Taniguchi <go@turbolinux.co.jp>
- useing bash shell at init scripts

* Mon Jul 17 2000 Go Taniguchi <go@turbolinux.co.jp>
- first release
- This service need /etc/sysconfig/kparam, please ditribution-release includes this.
